## GogRegCurve GogRegCurve — Base class for regression curves |

## Synopsis

                        GogRegCurve;
    #define             GOG_REG_CURVE_TYPE
    #define             GOG_REG_CURVE                       (o)
    #define             IS_GOG_REG_CURVE                    (o)
    GType               gog_reg_curve_get_type              (void);
    gcharconst *        gog_reg_curve_get_equation          (GogRegCurve *reg_curve);
    double              gog_reg_curve_get_R2                (GogRegCurve *reg_curve);
    void                gog_reg_curve_get_bounds            (GogRegCurve *reg_curve,
                                                             double *xmin,
                                                             double *xmax);

## Object Hierarchy

      GObject
       +----GogObject
             +----GogStyledObject
                   +----GogTrendLine
                         +----GogRegCurve

## Implemented Interfaces

GogRegCurve implements GogDataset.

## Properties

      "skip-invalid"             gboolean              : Read / Write

## Description

## Details

### GogRegCurve

    typedef struct _GogRegCurve GogRegCurve;

### GOG_REG_CURVE_TYPE

    #define GOG_REG_CURVE_TYPE	(gog_reg_curve_get_type ())

### GOG_REG_CURVE()

    #define GOG_REG_CURVE(o)	(G_TYPE_CHECK_INSTANCE_CAST ((o), GOG_REG_CURVE_TYPE, GogRegCurve))

`o` : |

### IS_GOG_REG_CURVE()

    #define IS_GOG_REG_CURVE(o)	(G_TYPE_CHECK_INSTANCE_TYPE ((o), GOG_REG_CURVE_TYPE))

`o` : |

### gog_reg_curve_get_type ()

    GType               gog_reg_curve_get_type              (void);

Returns : |

### gog_reg_curve_get_equation ()

    gcharconst *        gog_reg_curve_get_equation          (GogRegCurve *reg_curve);

`reg_curve` : |
Returns : |

### gog_reg_curve_get_R2 ()

    double              gog_reg_curve_get_R2                (GogRegCurve *reg_curve);

`reg_curve` : |
Returns : |

### gog_reg_curve_get_bounds ()

    void                gog_reg_curve_get_bounds            (GogRegCurve *reg_curve,
                                                             double *xmin,
                                                             double *xmax);

`reg_curve` : |
`xmin` : |
`xmax` : |

## Property Details

### The `"skip-invalid"` property

      "skip-invalid"             gboolean              : Read / Write

Skip invalid data.

Default value: FALSE